1

Topic: 502 NGINX error after upgrading iRedAdmin to version .9

==== REQUIRED BASIC INFO OF YOUR IREDMAIL SERVER ====
- iRedMail version (check /etc/iredmail-release): 0.9.9 PGSQL edition
- Deployed with iRedMail Easy or the downloadable installer? downloadable installer
- Linux/BSD distribution name and version: Debian 9
- Store mail accounts in which backend (LDAP/MySQL/PGSQL): PGSQL
- Web server (Apache or Nginx): NGINX
- Manage mail accounts with iRedAdmin-Pro? No
- [IMPORTANT] Related original log or error message is required if you're experiencing an issue.
====
NGINX error log:
2019/07/10 14:35:32 [error] 32238#32238: *1 upstream prematurely closed connection while reading response header from upstream, client: x.x.x.x, server: _, request: "GET /iredadmin/ HTTP/1.1", upstream: "uwsgi://127.0.0.1:7790", host: "www.xyz.com:9080"

Services running: uwsqi and nginx

2

Re: 502 NGINX error after upgrading iRedAdmin to version .9

Please try to restart "mlmmjadmin" service, make sure it's running, then try to reproduce this error again.

----

Does my reply help a little? How about buying me a cup of coffee ($5) as an encouragement?

buy me a cup of coffee

3

Re: 502 NGINX error after upgrading iRedAdmin to version .9

Below are the error after restarting "mlmmjadmin" service. The error is same. Please see below.

2019/07/11 17:34:27 [error] 11428#11428: *123 connect() failed (111: Connection refused) while connecting to upstream, client: 167.86.97.59, server: _, request: "GET /iredadmin/ HTTP/1.1", upstream: "uwsgi://127.0.0.1:7791", host: "www.xyz.com:9080"
2019/07/11 17:34:27 [error] 11428#11428: *125 connect() failed (111: Connection refused) while connecting to upstream, client: 167.86.97.59, server: _, request: "GET /iredadmin/ HTTP/1.1", upstream: "uwsgi://127.0.0.1:7791", host: "www.xyz.com:9080"
2019/07/11 17:34:28 [error] 11428#11428: *127 connect() failed (111: Connection refused) while connecting to upstream, client: 167.86.97.59, server: _, request: "GET /iredadmin/ HTTP/1.1", upstream: "uwsgi://127.0.0.1:7791", host: "www.xyz.com:9080"

mlmmjadmin.service - RESTful API server used to manage mlmmj mailing list manager
   Loaded: loaded (/lib/systemd/system/mlmmjadmin.service; enabled; vendor preset: enabled)
   Active: active (running) since Thu 2019-07-11 17:34:06 IST; 2min 43s ago
  Process: 20952 ExecStartPre=/bin/mkdir -p /var/run/mlmmjadmin (code=exited, status=0/SUCCESS)
  Process: 20953 ExecStartPre=/bin/chown mlmmj:mlmmj /var/run/mlmmjadmin (code=exited, status=0/SUCCESS)
  Process: 20954 ExecStartPre=/bin/chmod 0755 /var/run/mlmmjadmin (code=exited, status=0/SUCCESS)
Main PID: 20955 (uwsgi)
    Tasks: 6 (limit: 4915)
   Memory: 21.2M
   CGroup: /system.slice/mlmmjadmin.service
           â”œâ”€20955 /usr/bin/uwsgi --ini /opt/mlmmjadmin/rc_scripts/uwsgi/debian.ini --pidfile /var/run/mlmmjadmin/mlmmjadmin.pid
           â”œâ”€20956 /usr/bin/uwsgi --ini /opt/mlmmjadmin/rc_scripts/uwsgi/debian.ini --pidfile /var/run/mlmmjadmin/mlmmjadmin.pid
           â”œâ”€20957 /usr/bin/uwsgi --ini /opt/mlmmjadmin/rc_scripts/uwsgi/debian.ini --pidfile /var/run/mlmmjadmin/mlmmjadmin.pid
           â”œâ”€20958 /usr/bin/uwsgi --ini /opt/mlmmjadmin/rc_scripts/uwsgi/debian.ini --pidfile /var/run/mlmmjadmin/mlmmjadmin.pid
           â”œâ”€20959 /usr/bin/uwsgi --ini /opt/mlmmjadmin/rc_scripts/uwsgi/debian.ini --pidfile /var/run/mlmmjadmin/mlmmjadmin.pid
           â””─20960 /usr/bin/uwsgi --ini /opt/mlmmjadmin/rc_scripts/uwsgi/debian.ini --pidfile /var/run/mlmmjadmin/mlmmjadmin.pid

Jul 11 17:34:06 953-zone-de-sm uwsgi[20955]: mapped 437520 bytes (427 KB) for 5 cores
Jul 11 17:34:06 953-zone-de-sm uwsgi[20955]: *** Operational MODE: preforking ***
Jul 11 17:34:06 953-zone-de-sm uwsgi[20955]: WSGI app 0 (mountpoint='') ready in 0 seconds on interpreter 0x564a475273d0 pid: 20955 (default app)
Jul 11 17:34:06 953-zone-de-sm uwsgi[20955]: *** uWSGI is running in multiple interpreter mode ***
Jul 11 17:34:06 953-zone-de-sm uwsgi[20955]: spawned uWSGI master process (pid: 20955)
Jul 11 17:34:06 953-zone-de-sm uwsgi[20955]: spawned uWSGI worker 1 (pid: 20956, cores: 1)
Jul 11 17:34:06 953-zone-de-sm uwsgi[20955]: spawned uWSGI worker 2 (pid: 20957, cores: 1)
Jul 11 17:34:06 953-zone-de-sm uwsgi[20955]: spawned uWSGI worker 3 (pid: 20958, cores: 1)
Jul 11 17:34:06 953-zone-de-sm uwsgi[20955]: spawned uWSGI worker 4 (pid: 20959, cores: 1)
Jul 11 17:34:06 953-zone-de-sm uwsgi[20955]: spawned uWSGI worker 5 (pid: 20960, cores: 1)

4

Re: 502 NGINX error after upgrading iRedAdmin to version .9

The response time is not appreciated, no timely help provided. Also after Dovecot upgrade the IMAP authentication is failing. This iRedmail is not a stable product. Moving away....

There are much better products available in market.

Thank You !!

5

Re: 502 NGINX error after upgrading iRedAdmin to version .9

satya876 wrote:

Below are the error after restarting "mlmmjadmin" service. The error is same. Please see below.

2019/07/11 17:34:27 [error] 11428#11428: *123 connect() failed (111: Connection refused) while connecting to upstream, client: 167.86.97.59, server: _, request: "GET /iredadmin/ HTTP/1.1", upstream: "uwsgi://127.0.0.1:7791", host: "www.xyz.com:9080"
...

In your first post, the network port is 7790 which is "mlmmjadmin" service.
In this post, the port is 7791 which is "iredadmin" service, you should restart "iredadmin" service instead.

Question: Did you reboot server after iRedMail installation? They both should start automatically after server reboot.

satya876 wrote:

The response time is not appreciated, no timely help provided. Also after Dovecot upgrade the IMAP authentication is failing. This iRedmail is not a stable product. Moving away....
There are much better products available in market.

I wish you good luck to find the product you like. smile

----

Does my reply help a little? How about buying me a cup of coffee ($5) as an encouragement?

buy me a cup of coffee

6

Re: 502 NGINX error after upgrading iRedAdmin to version .9

Can you suggest any solution as of now. ?

7

Re: 502 NGINX error after upgrading iRedAdmin to version .9

Its, Thank you !! I was planning to take Pro version, but now have to think over again. Kindly close this thread, no help required now.